import { ReactPropsWithoutRef, Component } from '@clutchd/component';

declare function Container({ ...props }: ReactPropsWithoutRef<typeof Component.section>): JSX.Element;

declare function Content({ ...props }: ReactPropsWithoutRef<typeof Component.main>): JSX.Element;

declare function Footer({ ...props }: ReactPropsWithoutRef<typeof Component.footer>): JSX.Element;

declare function Header({ ...props }: ReactPropsWithoutRef<typeof Component.header>): JSX.Element;

declare function Page({ ...props }: ReactPropsWithoutRef<typeof Component.div>): JSX.Element;

declare type ILayout = {
    Container: typeof Container;
    Content: typeof Content;
    Footer: typeof Footer;
    Header: typeof Header;
    Page: typeof Page;
};
declare const Layout: ILayout;

export { Layout };
