// src/container.tsx
import clsx from "clsx";
import { jsx } from "react/jsx-runtime";
function Container({ ...props }) {
  const className = clsx("flex flex-col flex-1", props.className);
  return /* @__PURE__ */ jsx("div", {
    ...props,
    className
  });
}

// src/content.tsx
import clsx2 from "clsx";
import { jsx as jsx2 } from "react/jsx-runtime";
function Content({ ...props }) {
  const className = clsx2(
    "flex flex-col flex-1 p-6 sm:p-8",
    props.className
  );
  return /* @__PURE__ */ jsx2("main", {
    ...props,
    className
  });
}

// src/footer.tsx
import clsx3 from "clsx";
import { jsx as jsx3 } from "react/jsx-runtime";
function Footer({ ...props }) {
  const className = clsx3(
    "flex flex-col grow-1 shrink-0 p-6 sm:p-8",
    props.className
  );
  return /* @__PURE__ */ jsx3("footer", {
    ...props,
    className
  });
}

// src/header.tsx
import clsx4 from "clsx";
import { jsx as jsx4 } from "react/jsx-runtime";
function Header({ ...props }) {
  const className = clsx4("flex grow-1 shrink-0 p-6 sm:p-8", props.className);
  return /* @__PURE__ */ jsx4("header", {
    ...props,
    className
  });
}

// src/page.tsx
import clsx5 from "clsx";
import { jsx as jsx5 } from "react/jsx-runtime";
function Page({ ...props }) {
  const className = clsx5(
    "flex flex-col flex-1 min-h-screen min-w-screen",
    props.className
  );
  return /* @__PURE__ */ jsx5("div", {
    ...props,
    className
  });
}

// src/index.tsx
var Layout = {
  Container,
  Content,
  Footer,
  Header,
  Page
};
export {
  Layout
};
